Subject: Re: [patch 09/11] forcedeth: improve NAPI logic

From: Jeff Garzik <[email-masked]>
Date: Thu, 26 Apr 2007 14:24:16 -0400

Ayaz Abdulla wrote:
> I don't see why the NAPI handler needs to process tx packets. The ISR 
> will handle all tx processing.

It is a design choice, not a requirement.

Moving non-RX interrupt processing to the NAPI handler can help as loads 
increase.  The basic idea is to do as much work as possible in the NAPI 
handler with NIC interrupts masked.  That mitigates global system 
per-interrupt overhead even more than an only-RX NAPI scheme.

Several net drivers do TX completion handling in the NAPI handler.

	Jeff